Bug 240035 - [RHEL5 RT] Kernel panic: Unable to handle kernel paging request at 0000000005d00000 RIP: [<ffffffff8108199c>] show_mem+0x8f/0x144
[RHEL5 RT] Kernel panic: Unable to handle kernel paging request at 0000000005...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clark Williams
http://rhts.lab.boston.redhat.com/cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 12:05 EDT by Jeff Burke
Modified: 2008-02-27 14:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.21-31.el5rt
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 14:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2007-05-14 12:05:36 EDT
Description of problem:
While running the standard kernel testing this system
hp-dl585-02.rhts.boston.redhat.com had a kernel panic.

Version-Release number of selected component (if applicable):
 2.6.21-14.el5rt

How reproducible:
 Unknown

Steps to Reproduce:
1. While oom-killing and doing a show-mem the system got a panic.
  
Actual results:
Unable to handle kernel paging request at 0000000005d00000 RIP: 
 [<ffffffff8108199c>] show_mem+0x8f/0x144
PGD 0 
Oops: 0000 [11] PREEMPT SMP 
CPU 5 
Modules linked in: autofs4 hidp rfcomm l2cap bluetooth sunrpc ipv6 video sbs
i2c_ec dock button battery asus_acpi ac parport_pc lp parport floppy pcspkr
ata_generic pata_amd amd_rng libata i2c_amd756 i2c_core k8temp hwmon tg3 shpchp
ide_cd cdrom serio_raw dm_snapshot dm_zero dm_mirror dm_mod cciss sd_mod
scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Pid: 4721, comm: syslogd Not tainted 2.6.21-4.el5rt #1
RIP: 0010:[<ffffffff8108199c>]  [<ffffffff8108199c>] show_mem+0x8f/0x144
RSP: 0018:ffff810bc41cfcb8  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 00000000000f8000 RCX: 000000000000001f
RDX: 0000000005d00000 RSI: ffff81000194b0f8 RDI: 00000000000f8000
RBP: ffff810bc41cfcd8 R08: ffff810000061000 R09: 0000000000000038
R10: ffffffff8177c320 R11: 0000000000000000 R12: 0000000000036fc8
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000001
FS:  00002ae8403586f0(0000) GS:ffff8106242408c0(0000) knlGS:00000000f7f136c0
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000005d00000 CR3: 0000000bb7990000 CR4: 00000000000006e0
Process syslogd (pid: 4721, threadinfo ffff810bc41ce000, task ffff8107e2e79810)
Stack:  0000000000000001 00000000000000d0 ffff8106000031e0 ffff8107e2e79810
 ffff810bc41cfd28 ffffffff810ca3c1 0000002000000001 000000010000003c
 ffff810bc41cfd28 0000000000000000 0000000000000000 00000000000000d0
Call Trace:
 [<ffffffff810ca3c1>] out_of_memory+0x79/0x2cd
 [<ffffffff8100f378>] __alloc_pages+0x238/0x2c5
 [<ffffffff81015ea3>] alloc_pages_current+0xa8/0xb0
 [<ffffffff8103d91f>] __get_free_pages+0xe/0x71
 [<ffffffff8101f9a0>] copy_process+0xcd/0x152a
 [<ffffffff8103267b>] do_fork+0xcc/0x1c6
 [<ffffffff8106cf6c>] sys_clone+0x23/0x25
 [<ffffffff8105f437>] ptregscall_common+0x67/0xb0
 [<ffffffff8105f29e>] tracesys+0xdc/0xe1
 [<00002ae84009e679>]


Code: 8b 02 f6 c4 04 74 05 49 ff c4 eb 35 8b 02 66 85 c0 79 05 49 
RIP  [<ffffffff8108199c>] show_mem+0x8f/0x144
 RSP <ffff810bc41cfcb8>
CR2: 0000000005d00000


Expected results:
This should not panic.

Additional info:
 See the following RHTS job
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/jobs.cgi?id=579
recipe 1997
Comment 1 Clark Williams 2007-06-21 11:42:19 EDT
hmmm, we added a patch in 2.6.21-31 from Bob Picco that fixes a problem in
show_mem (x86_64 only) where it oops'es on a hole in memory. 

I'm not completely familiar with the oops->panic transitions, but if we're in an
OOM situation and we oops, wouldn't that be a panic?

Note You need to log in before you can comment on or make changes to this bug.